[<p align="left"><img src="logo/png/icon.png" alt="Mapsui" height="180px"></p>](https://mapsui.com).

|   | Status  |
| ------------- |:-------------:|
| Mapsui NuGet   | [![NuGet Status](https://img.shields.io/nuget/v/Mapsui.svg?style=flat)](https://www.nuget.org/packages/Mapsui/) |
| Mapsui.Forms Nuget   | [![NuGet Status](https://img.shields.io/nuget/v/Mapsui.Forms.svg?style=flat)](https://www.nuget.org/packages/Mapsui.Forms/) |
| Mapsui.Wpf Nuget   | [![NuGet Status](https://img.shields.io/nuget/v/Mapsui.Wpf.svg?style=flat)](https://www.nuget.org/packages/Mapsui.Wpf/) |
| Mapsui.Uwp Nuget   | [![NuGet Status](https://img.shields.io/nuget/v/Mapsui.Uwp.svg?style=flat)](https://www.nuget.org/packages/Mapsui.Uwp/) |
| Mapsui.Android Nuget   | [![NuGet Status](https://img.shields.io/nuget/v/Mapsui.Android.svg?style=flat)](https://www.nuget.org/packages/Mapsui.Android/) |
| Mapsui.iOS Nuget   | [![NuGet Status](https://img.shields.io/nuget/v/Mapsui.iOS.svg?style=flat)](https://www.nuget.org/packages/Mapsui.iOS/) |
| Build on Windows    | [![Build status](https://ci.appveyor.com/api/projects/status/p20w43qv4ixkkftp?svg=true)](https://ci.appveyor.com/project/pauldendulk/mapsui) |
| Build docs | [![Build status](https://ci.appveyor.com/api/projects/status/c8hcfeoafmf51gin/branch/master?svg=true)](https://ci.appveyor.com/project/pauldendulk/mapsui-373p1/branch/master) |

## News

- 2020 May 17: Released Mapsui 2.0.1 with some bug fixes around zooming.
- 2020 May 4: Released Mapsui 2.0.0!
  - The main developers on v2 are Dirk Weltz (@charlenni) and Paul den Dulk (@pauldendulk).
  - Thanks go to all contributors:  https://github.com/Mapsui/Mapsui/graphs/contributors
  - Many users entered valuable bug reports as well, thanks.
- 2020 March 10: Follow Mapsui on Twitter https://twitter.com/mapsui
- 2020 February 2: We have a gitter channel https://gitter.im/Mapsui/Lobby

## Mapsui (pronounced map-su-wii)

Mapsui is a C# map component for apps

- Supported platforms:
  - Xamarin.Forms (including Android, iOS, MacOS, UWP and WPF)
  - WPF
  - UWP
  - Xamarin.Android
  - Xamarin.iOS
- The Mapsui core assemblies are .NET Standard 2.0
- Designed to be fast and responsive

## Quickstart
Quickly get a sample running 

- [Xamarin Forms](https://mapsui.com/documentation/getting-started-xamarin-forms.html)
- [WPF](https://mapsui.com/documentation/getting-started-wpf.html)
- [UWP](https://mapsui.com/documentation/getting-started-uwp.html)
- [Android](https://mapsui.com/documentation/getting-started-android.html)
- [iOS](https://mapsui.com/documentation/getting-started-ios.html)

## Documentation
The documentation can be found at [mapsui.com](https://mapsui.com). Let us know what kind of information you are missing.

## Samples
The best way to get going with Mapsui is by using the Samples. If you clone the project there is a Samples folder with a Mapsui.Samples.Wpf project with the list of samples. The accompanying code can be found [here](https://github.com/Mapsui/Mapsui/tree/master/Samples/Mapsui.Samples.Common/Maps).

## Questions
If you have a question please submit this as an issue [here on github](https://github.com/mapsui/Mapsui/issues).

## How can I help as a user
- Write clear issues. Mention the Mapsui version and which platform you use.
- Use screenshots and capture gif animations for issues that are hard to explain.
- Create minimal reproducible samples if possible. This speeds up fixing the issue a lot.
- Make yourself heard. We need to know what you are struggling with. Sure, you need to be respectful but don't be too modest.
- You can vote on [feature-request issues](https://github.com/Mapsui/Mapsui/issues?q=is%3Aopen+label%3Afeature-request+sort%3Areactions-%2B1-desc) by adding a thumbs up on the first post of the issue.
- Close an issue if your question is answered.

## Contributing
See the [guidelines](http://mapsui.com/documentation/contributors-guidelines.html)

## Thanks go to
- ReSharper for providing free open source licenses for Mapsui
- [realinfo](https://github.com/reallinfo) for providing the logo
- Our fantastic [contributors](https://github.com/Mapsui/Mapsui/graphs/contributors)!
- Our users. Do not underestimate the value of good bug reports and tests.
- The developers of SharpMap from which this project was born.

## Sponsors

We are delighted with our first gold sponsor Sebastian Kruse, who has also contributed to Mapsui with informed test reports and expert advice.

[Sebastian Kruse](https://github.com/Sebastian1989101)

## License

[LGPL](https://raw.githubusercontent.com/mapsui/Mapsui/master/LICENSE.md)
